Package org.springframework.cglib.proxy

# Interface LazyLoader

All Superinterfaces:
  `Callback`

public interface LazyLoader extends Callback
Lazy-loading `Enhancer` callback.

## Method Summary

Modifier and Type
Method
Description
`Object`
`loadObject()`
Return the object which the original method invocation should be dispatched.

## Method Details

### loadObject

Object loadObject() throws Exception
Return the object which the original method invocation should be dispatched. Called as soon as the first lazily-loaded method in the enhanced instance is invoked. The same object is then used for every future method call to the proxy instance.

Returns:
  an object that can invoke the method
Throws:
  `Exception`